Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.utils
Class CinemaPersist

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.utils.CinemaPersist

All Implemented Interfaces:
  AlignmentEventProvider

Direct Known Subclasses:
  CinemaFilePersist

public abstract class CinemaPersist
extends CinemaModule

CinemaPersist.java Provides the OptionHandler which classes need to implement persistance. Created: Tue Jan 30 15:31:24 2001

Version:
  $Id: CinemaPersist.java,v 1.3 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaPersist()`

Method Summary
`abstract OptionHandler` | `getOptionHandler()`
`void` | `start()` The method called externally to initiate the modules function.

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, destroy, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getRequiredIdentifiers, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, getVersion, hasListeners, isDestroyed, isStarted, load, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaPersist

    public CinemaPersist()

Method Detail

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### getOptionHandler

    public abstract OptionHandler getOptionHandler()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD